import { BasicColumn, FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/finishedwarehouse';
import { h, unref } from 'vue';
import { Tag } from 'ant-design-vue';
import { useI18n } from '/@/hooks/web/useI18n';
import { useLocale } from '/@/locales/useLocale';
const { getLocale } = useLocale();
const { t: bt } = useI18n();

export const columns: BasicColumn[] = [
  {
    title: '单号',
    dataIndex: 'STOCK_NO',
    resizable: true,
    sorter: true,
    width: 200,
  },
  {
    title: '栈板号',
    dataIndex: 'PALLET_NO',
    resizable: true,
    sorter: true,
    width: 180,
  },
  {
    title: '入库时间',
    dataIndex: 'STOCK_TIME',
    resizable: true,
    sorter: true,
    width: 180,
  },
  {
    title: '是否完成',
    dataIndex: 'UP_FLAG',
    resizable: true,
    sorter: true,
    width: 180,
    customRender: ({ record }) => {
      const status = record.UP_FLAG;
      let text = '';
      let color = '';
      switch (status) {
        case 0:
          text = '未完成';
          color = '#C2C247';
          break;
        case 1:
          text = '完成';
          color = 'green';
          break;
        default:
          break;
      }
      return h(Tag, { color: color }, () => text);
    },
  },
  {
    title: '更新时间',
    dataIndex: 'UP_TIME',
    resizable: true,
    sorter: true,
    width: 180,
  },
  {
    title: '回写结果',
    dataIndex: 'UP_MSG',
    resizable: true,
    sorter: true,
    width: 580,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'WorkOrder',
    label: '工单号',
    colProps: { span: 8 },
    component: 'Input',
  },
];





